#specfile

Name:           ssr
Version:        0.4.4
Release:        %mkrel 2
License:        GPL-3.0+
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Url:            http://www.maartenbaert.be/simplescreenrecorder
Group:          Video
Source:         https://github.com/MaartenBaert/ssr/tarball/%{name}-%{version}.tar.xz
Patch0:		simplescreenrecorder-ffmpeg-5.0.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------
BuildRequires: hicolor-icon-theme
BuildRequires: desktop-file-utils
BuildRequires: lib64alsa2-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64mesaglu1-devel 
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5x11extras-devel 
BuildRequires: lib64x11-devel 
BuildRequires: lib64xext-devel 
BuildRequires: lib64xfixes-devel 
BuildRequires: lib64xi-devel 
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
#----------------------------------------
Obsoletes: simplescreenrecorder
Provides: simplescreenrecorder = %version-%release


%description
SimpleScreenRecorder (ssr) is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%prep
%setup -q
%apply_patches

pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
%cmake -DWITH_QT5=TRUE

%make_build

%install
rm -rf %{buildroot}
%make_install -C build

find %{buildroot} -name "*.la" -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root)
%doc COPYING *.txt README.md
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}
%{_libdir}/libssr-glinject.*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 27 2023 tex - 0.4.4-2pclos2023
- rebuild against updates

* Mon Sep 05 2022 tex - 0.4.4-1pclos2022
- new version

* Wed Dec 30 2020 tex - 0.4.3-1pclos2021
- new version

* Wed Dec 16 2020 tex - 0.4.2-1pclos2021
- new version

* Tue May 19 2020 tex - 0.4.1-1pclos2020
- new version

* Sun Jun 09 2019 tex - 0.3.11-1pclos2019
- new

* Thu Mar 22 2018 bb2 <bb2> - 0.3.10-1pclos2018
- new version

* Thu Mar 09 2017 bb <bb2> - 0.3.8-2pclos2017
- rebuild new ffmpeg

* Sun Nov 20 2016 bb <bb> - 0.3.8-1pclos2016
- update and rename application to ssr

